Skip to main content
If you click on a link and make a purchase we may receive a small commission. Read our editorial policy.

Worried about Fallout 4's next-gen update messing with your mods? Good news, Nexus Mods is taking some steps to help you out

You'll probably have to do a bit of unavoidable waiting for updates, but some new tags should make things a bit less confusing.

Some vault dwellers wielding makeshift weapons in Fallout 4.
Image credit: VG247/Bethesda

It's now less than a week until Fallout 4's long-awaited next-gen update drops on April 25, bringing with it a bunch of tweaks for different platforms and some fresh goodies you can grab for free. If you're on PC the only issue with that is that updates - especially big ones - tend to play havoc with mods when they first drop, but modding platform Nexus Mods is taking some steps to try and make that transition a bit less of a headache.

It's good news, because you probably aren't alone if you've felt unable to stop yourself kicking off a frssh modded playthrough of Fallout 4 after watching Amazon's Fallout TV show, which is now confirmed to be getting a second season. So, while this won't cover Fallout: London, which is a bit different, here's what things'll likely look like modding-wise when the update drops.

In a new post, Nexus Mods community manager Pickysaurus has shared a bit of a rundown of the issues this Fallout 4 update will likely cause when it comes to modding, and a couple of handy steps that that the site's taking to help you muddle through the initial aftermath of its arrival.

Noting that these expected effects are "speculative until Bethesda [provides] more details on the specifics of the update", they outlined that "it's almost certainly going to be incompatible with Fallout 4 Script Extender [at] launch, which will temporarily prevent the use of any mods that require F4SE to function". "We're hopeful the F4SE team will get a sneak peek at the update a few days early to give them a head start," Pickysaurus added, noting that script extender support for the new Epic Games store version of the game might not end up becoming a thing.

The community manager also noted that "advanced mods may need updating separately, even if F4SE is made compatible" and "any traditional mods (i.e. those created purely with the Creation Kit) may need some minor tweaks and updates based on the changes to the base game" - especially if the latter happen to "interact with the quests or locations that have been fixed by Bethesda".

So, to help you out, Nexus Mods is introducing some really helpful new tags that can be applied to mods, letting you know at a glace whether they're next-gen update compatible at present. These tags, which'll show up just below the upload date and author info on a mod's page, will read either "Works with Next-Gen Update" or "Broken in Next-Gen Update", if either state has been confirmed to be the case.

They can be added by mod authors, folks from the Nexus Mods team, or moderators - though users can also get them added via a voting system that'll require at least three 'yeses' to add a tag.

Also, if you want to stop Fallout 4 from updating, allowing you keep playing as you had been, albeit without access to any of the update's new tweaks or content, while you wait for everything to be fixed, here's a guide that can help.

There you go, no need to freak out.

Oh, and, if you're looking for cool Fallout 4 mods to try right now, here's one that adds a really cool version of Lucy Mcclane's tranquiliser pistol to the game and one for Walton Goggins stans.

Read this next

news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news
news